# pion::multi_thread_scheduler Class Reference

`#include <scheduler.hpp>`

Inherits pion::scheduler.

Inherited by pion::one_to_one_scheduler, and pion::single_service_scheduler.

List of all members.

## Public Member Functions

| multi_thread_scheduler (void)
| constructs a new single_service_scheduler
virtual | ~multi_thread_scheduler ()
| virtual destructor

## Protected Types

typedef std::vector < boost::shared_ptr < boost::thread > > | ThreadPool
| typedef for a pool of worker threads

## Protected Member Functions

virtual void | stop_threads (void)
| stops all threads used to perform work
virtual void | finish_threads (void)
| finishes all threads used to perform work

## Protected Attributes

ThreadPool | m_thread_pool
| pool of threads used to perform work

## Detailed Description

multi_thread_scheduler: uses a pool of threads to perform work

Definition at line 199 of file scheduler.hpp.

The documentation for this class was generated from the following file:

- include/pion/scheduler.hpp